path: /build/build/libomp-sys-libs-16.0.6+3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-hwloc llvm_targets_AMDGPU llvm_targets_NVPTX offload" emerge sys-libs/libomp -pv -t && \
    USE="-hwloc llvm_targets_AMDGPU llvm_targets_NVPTX offload" emerge -j ${JOBS} --nodeps sys-libs/libomp
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libomp && luet-portage --dir /pkgdir/libomp
    sys-libs/libomp && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:9ddcec8515041ce2d5b9b1c24e2c1493edb5070f9c72158fa6e695dc2a408aa3
  package:
    name: libomp
    version: 16.0.6+3
    category: sys-libs
    use_flags:
    - -hwloc
    - llvm_targets_AMDGPU
    - llvm_targets_NVPTX
    - offload
    requires:
    - name: libelf
      version: '>=0'
      category: virtual
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: OpenMP runtime library for LLVM/clang compiler
    uri:
    - https://openmp.llvm.org/
    license: Apache-2.0-with-LLVM-exceptions || ( UoI-NCSA MIT )
    buildtimestamp: 2025-04-01 04:14:42.001520799 +0000 UTC m=+5114.717972441
    labels:
      BDEPEND: dev-lang/perl offload? ( llvm_targets_AMDGPU? ( sys-devel/clang ) llvm_targets_NVPTX?
        ( sys-devel/clang ) virtual/pkgconfig ) dev-util/ninja dev-util/cmake
      DEPEND: hwloc? ( sys-apps/hwloc:0= ) offload? ( virtual/libelf dev-libs/libffi
        ~sys-devel/llvm-16.0.6 )
      IUSE: cuda debug hwloc offload ompt llvm_targets_AMDGPU llvm_targets_NVPTX abi_x86_64
      RDEPEND: hwloc? ( sys-apps/hwloc:0= ) offload? ( virtual/libelf dev-libs/libffi
        ~sys-devel/llvm-16.0.6 )
      emerge.packages: sys-libs/libomp
      kit: llvm-kit
      original.package.name: sys-libs/libomp
      original.package.slot: "0"
      original.package.version: 16.0.6-r1
    treedir: /build/packages
  package_dir: /pkgdir/libomp
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 858de8fc7ea6c781439fffee5f09398207276d20d2d59047a9829c79a05c2620
compressiontype: zstd
files:
- usr/include/omp.h
- usr/lib64/cmake/openmp/FindOpenMPTarget.cmake
- usr/lib64/libomp.so
- usr/lib64/libomptarget-amdgpu-gfx1010.bc
- usr/lib64/libomptarget-amdgpu-gfx1030.bc
- usr/lib64/libomptarget-amdgpu-gfx1031.bc
- usr/lib64/libomptarget-amdgpu-gfx1032.bc
- usr/lib64/libomptarget-amdgpu-gfx1033.bc
- usr/lib64/libomptarget-amdgpu-gfx1034.bc
- usr/lib64/libomptarget-amdgpu-gfx1035.bc
- usr/lib64/libomptarget-amdgpu-gfx1036.bc
- usr/lib64/libomptarget-amdgpu-gfx1100.bc
- usr/lib64/libomptarget-amdgpu-gfx1101.bc
- usr/lib64/libomptarget-amdgpu-gfx1102.bc
- usr/lib64/libomptarget-amdgpu-gfx1103.bc
- usr/lib64/libomptarget-amdgpu-gfx700.bc
- usr/lib64/libomptarget-amdgpu-gfx701.bc
- usr/lib64/libomptarget-amdgpu-gfx801.bc
- usr/lib64/libomptarget-amdgpu-gfx803.bc
- usr/lib64/libomptarget-amdgpu-gfx900.bc
- usr/lib64/libomptarget-amdgpu-gfx902.bc
- usr/lib64/libomptarget-amdgpu-gfx906.bc
- usr/lib64/libomptarget-amdgpu-gfx908.bc
- usr/lib64/libomptarget-amdgpu-gfx90a.bc
- usr/lib64/libomptarget-amdgpu-gfx90c.bc
- usr/lib64/libomptarget-amdgpu-gfx940.bc
- usr/lib64/libomptarget-nvptx-sm_35.bc
- usr/lib64/libomptarget-nvptx-sm_37.bc
- usr/lib64/libomptarget-nvptx-sm_50.bc
- usr/lib64/libomptarget-nvptx-sm_52.bc
- usr/lib64/libomptarget-nvptx-sm_53.bc
- usr/lib64/libomptarget-nvptx-sm_60.bc
- usr/lib64/libomptarget-nvptx-sm_61.bc
- usr/lib64/libomptarget-nvptx-sm_62.bc
- usr/lib64/libomptarget-nvptx-sm_70.bc
- usr/lib64/libomptarget-nvptx-sm_72.bc
- usr/lib64/libomptarget-nvptx-sm_75.bc
- usr/lib64/libomptarget-nvptx-sm_80.bc
- usr/lib64/libomptarget-nvptx-sm_86.bc
- usr/lib64/libomptarget-nvptx-sm_89.bc
- usr/lib64/libomptarget-nvptx-sm_90.bc
- usr/lib64/libomptarget.devicertl.a
- usr/lib64/libomptarget.rtl.amdgpu.nextgen.so
- usr/lib64/libomptarget.rtl.amdgpu.nextgen.so.16
- usr/lib64/libomptarget.rtl.amdgpu.so
- usr/lib64/libomptarget.rtl.amdgpu.so.16
- usr/lib64/libomptarget.rtl.cuda.nextgen.so
- usr/lib64/libomptarget.rtl.cuda.nextgen.so.16
- usr/lib64/libomptarget.rtl.cuda.so
- usr/lib64/libomptarget.rtl.cuda.so.16
- usr/lib64/libomptarget.rtl.x86_64.nextgen.so
- usr/lib64/libomptarget.rtl.x86_64.nextgen.so.16
- usr/lib64/libomptarget.rtl.x86_64.so
- usr/lib64/libomptarget.rtl.x86_64.so.16
- usr/lib64/libomptarget.so
- usr/lib64/libomptarget.so.16
- usr/share/doc/libomp-16.0.6-r1/README.rst.bz2
- var/db/pkg/sys-libs/libomp-16.0.6-r1/BDEPEND
- var/db/pkg/sys-libs/libomp-16.0.6-r1/BUILD_TIME
- var/db/pkg/sys-libs/libomp-16.0.6-r1/CATEGORY
- var/db/pkg/sys-libs/libomp-16.0.6-r1/CBUILD
- var/db/pkg/sys-libs/libomp-16.0.6-r1/CFLAGS
- var/db/pkg/sys-libs/libomp-16.0.6-r1/CHOST
- var/db/pkg/sys-libs/libomp-16.0.6-r1/CONTENTS
- var/db/pkg/sys-libs/libomp-16.0.6-r1/COUNTER
- var/db/pkg/sys-libs/libomp-16.0.6-r1/CTARGET
- var/db/pkg/sys-libs/libomp-16.0.6-r1/CXX
- var/db/pkg/sys-libs/libomp-16.0.6-r1/CXXFLAGS
- var/db/pkg/sys-libs/libomp-16.0.6-r1/DEFINED_PHASES
- var/db/pkg/sys-libs/libomp-16.0.6-r1/DEPEND
- var/db/pkg/sys-libs/libomp-16.0.6-r1/DESCRIPTION
- var/db/pkg/sys-libs/libomp-16.0.6-r1/EAPI
- var/db/pkg/sys-libs/libomp-16.0.6-r1/FEATURES
- var/db/pkg/sys-libs/libomp-16.0.6-r1/HOMEPAGE
- var/db/pkg/sys-libs/libomp-16.0.6-r1/INHERITED
- var/db/pkg/sys-libs/libomp-16.0.6-r1/IUSE
- var/db/pkg/sys-libs/libomp-16.0.6-r1/IUSE_EFFECTIVE
- var/db/pkg/sys-libs/libomp-16.0.6-r1/KEYWORDS
- var/db/pkg/sys-libs/libomp-16.0.6-r1/LDFLAGS
- var/db/pkg/sys-libs/libomp-16.0.6-r1/LICENSE
- var/db/pkg/sys-libs/libomp-16.0.6-r1/NEEDED
- var/db/pkg/sys-libs/libomp-16.0.6-r1/NEEDED.ELF.2
- var/db/pkg/sys-libs/libomp-16.0.6-r1/PF
- var/db/pkg/sys-libs/libomp-16.0.6-r1/PROVIDES
- var/db/pkg/sys-libs/libomp-16.0.6-r1/RDEPEND
- var/db/pkg/sys-libs/libomp-16.0.6-r1/REQUIRES
- var/db/pkg/sys-libs/libomp-16.0.6-r1/SIZE
- var/db/pkg/sys-libs/libomp-16.0.6-r1/SLOT
- var/db/pkg/sys-libs/libomp-16.0.6-r1/USE
- var/db/pkg/sys-libs/libomp-16.0.6-r1/environment.bz2
- var/db/pkg/sys-libs/libomp-16.0.6-r1/libomp-16.0.6-r1.ebuild
- var/db/pkg/sys-libs/libomp-16.0.6-r1/repository
package_cacheimage: ""
runtime:
  name: libomp
  version: 16.0.6+3
  category: sys-libs
  use_flags:
  - -hwloc
  - llvm_targets_AMDGPU
  - llvm_targets_NVPTX
  - offload
  requires:
  - name: llvm
    version: '>=0'
    category: sys-devel-16
  - name: libelf
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: OpenMP runtime library for LLVM/clang compiler
  uri:
  - https://openmp.llvm.org/
  license: Apache-2.0-with-LLVM-exceptions || ( UoI-NCSA MIT )
  labels:
    BDEPEND: dev-lang/perl offload? ( llvm_targets_AMDGPU? ( sys-devel/clang ) llvm_targets_NVPTX?
      ( sys-devel/clang ) virtual/pkgconfig ) dev-util/ninja dev-util/cmake
    DEPEND: hwloc? ( sys-apps/hwloc:0= ) offload? ( virtual/libelf dev-libs/libffi
      ~sys-devel/llvm-16.0.6 )
    IUSE: cuda debug hwloc offload ompt llvm_targets_AMDGPU llvm_targets_NVPTX abi_x86_64
    RDEPEND: hwloc? ( sys-apps/hwloc:0= ) offload? ( virtual/libelf dev-libs/libffi
      ~sys-devel/llvm-16.0.6 )
    emerge.packages: sys-libs/libomp
    kit: llvm-kit
    original.package.name: sys-libs/libomp
    original.package.slot: "0"
    original.package.version: 16.0.6-r1
